require 'rails_helper'

RSpec.feature 'Home page' do
  background { i_am_logged_in_as_admin }
  scenario "there are no javascript error messages", js: true do
    visit '/'
    case page.driver.class.name.underscore
    when /webkit/
      expect( page.driver.error_messages ).to be_empty
    when /poltergeist/
      # nothing, js_errors: true will raise ruby error
    end
    page.should have_content Rails.application.config.application_name
  end
end

